gtkmm: Gtk::PropertyExpression< T > Class Template Reference

gtkmm 4.2.0

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Static Public Member Functions | List of all members
Gtk::PropertyExpression< T > Class Template Referencefinal

`#include <gtkmm/expression.h>`

Inheritance diagram for Gtk::PropertyExpression< T >:
[legend]

## Static Public Member Functions
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system. More...
static Glib::RefPtr< PropertyExpression > | create (GType this_type, const Glib::ustring& property_name)
| Creates an expression that looks up a property via the `this` argument. More...
template<class OT >
static Glib::RefPtr< PropertyExpression > | create (const Glib::RefPtr< OT >& expression, const Glib::ustring& property_name)
| Creates an expression that looks up a property via the given expression. More...
template<class OT >
static Glib::RefPtr< PropertyExpression > | create (GType this_type, const Glib::RefPtr< OT >& expression, const Glib::ustring& property_name)
| Creates an expression that looks up a property via the given expression. More...

## Additional Inherited Members
Public Types inherited from Gtk::Expression< T >
using | ValueType = T
Public Types inherited from Gtk::ExpressionBase
using | SlotNotify = sigc::slot< void()>
| For instance: void on_notify();. More...
Public Member Functions inherited from Gtk::Expression< T >
std::optional< T > | evaluate (const Glib::RefPtr< Glib::ObjectBase >& this_)
| Evaluates the given expression and on success returns the result. More...
Glib::RefPtr< ExpressionWatch< T > > | watch (const Glib::RefPtr< Glib::ObjectBase >& this_, const SlotNotify& notify)
| Installs a watch for the expression that calls the notify function whenever the evaluation of the expression may have changed. More...
template<class T2 >
Glib::RefPtr< ExpressionWatch< T > > | bind (const Glib::PropertyProxy< T2 >& property, const Glib::RefPtr< Glib::ObjectBase >& this_=nullptr)
| Bind a target's property to the expression. More...
template<class T2 >
Glib::RefPtr< ExpressionWatch< T > > | bind (const Glib::PropertyProxy_WriteOnly< T2 >& property, const Glib::RefPtr< Glib::ObjectBase >& this_=nullptr)
| Bind a target's property to the expression. More...
Public Member Functions inherited from Gtk::ExpressionBase
void | reference () const
| Increment the reference count for this object. More...
void | unreference () const
| Decrement the reference count for this object. More...
GtkExpression* | gobj ()
| Provides access to the underlying C instance. More...
const GtkExpression* | gobj () const
| Provides access to the underlying C instance. More...
GtkExpression* | gobj_copy () const
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs. More...
| ExpressionBase ()=delete
| ExpressionBase (const ExpressionBase&)=delete
ExpressionBase& | operator= (const ExpressionBase&)=delete
GType | get_value_type () const
| Gets the `GType` that this expression evaluates to. More...
bool | is_static () const
| Checks if the expression is static. More...
Protected Member Functions inherited from Gtk::ExpressionBase
void | operator delete (void*, std::size_t)
Related Functions inherited from Gtk::ExpressionBase
Glib::RefPtr< Gtk::ExpressionBase > | wrap (GtkExpression* object, bool take_copy=false)
| A Glib::wrap() method for this object. More...

## Member Function Documentation

template <class T>

static Glib::RefPtr<PropertyExpression> Gtk::PropertyExpression< T >::create | ( | GType | this_type,
|  | const Glib::ustring & | property_name
| ) |  |
| static

Creates an expression that looks up a property via the `this` argument.

If the resulting object conforms to this_type, its property named property_name will be queried. Otherwise, this expression's evaluation will fail.

The given this_type must have a property with property_name.

Parameters

  this_type | The type to expect for the this type.
  property_name | Name of the property.

Returns
  A new Gtk::Expression.

template <class T>
template <class OT >

static Glib::RefPtr<PropertyExpression> Gtk::PropertyExpression< T >::create | ( | const Glib::RefPtr< OT > & | expression,
|  | const Glib::ustring & | property_name
| ) |  |
| static

Creates an expression that looks up a property via the given expression.

If the resulting object conforms to OT, its property named property_name will be queried. Otherwise, this expression's evaluation will fail.

The value type of the given expression must have a property with property_name.

Parameters

  expression | Expression to evaluate to get the object to query.
  property_name | Name of the property.

Returns
  A new Gtk::Expression.

template <class T>
template <class OT >

static Glib::RefPtr<PropertyExpression> Gtk::PropertyExpression< T >::create | ( | GType | this_type,
|  | const Glib::RefPtr< OT > & | expression,
|  | const Glib::ustring & | property_name
| ) |  |
| static

Creates an expression that looks up a property via the given expression.

If the resulting object conforms to this_type, its property named property_name will be queried. Otherwise, this expression's evaluation will fail.

The given this_type must have a property with property_name.

Parameters

  this_type | The type to expect for the this type.
  expression | Expression to evaluate to get the object to query.
  property_name | Name of the property.

Returns
  A new Gtk::Expression.

template <class T>

static GType Gtk::PropertyExpression< T >::get_type | ( |  | ) |
| static

Get the GType for this class, for use with the underlying GObject type system.